// board specific defines for micro monitor
#define DEFAULT_BAUD_RATE   	38400
#define CCLK_4K			    33333333
#define CCLK_5K			    60000000

#define LOOPS_PER_USEC		10
extern void ssled(int);


// 7-segment LED by letter...
//
// 
//  ---a---	
// |       |
// f       b
// |       |
//  ---g---
// |       |
// e       c
// |       |
//  ---d--- 
//
// A = PIOB0, B = PIOB1, C = PIOB2, D = PIOB3
// E = PIOB4, F = PIOB5, G = PIOC0, DP = PIOC1
//
#define SEGA	0x01
#define SEGB	0x02
#define SEGC	0x04
#define SEGD	0x08
#define SEGE	0x10
#define SEGF	0x20
#define SEGG	0x01
#define DPNT	0x02
#define NONE	0x00

#define ALL_B	(SEGA|SEGB|SEGC|SEGD|SEGE|SEGF)
#define ALL_C	(SEGG|DPNT)


#define LED_0() 	{ GPIOB_REG(GPIO_PO) |= ALL_B; \
					  GPIOB_REG(GPIO_PO) &= ALL_B; \
					  GPIOC_REG(GPIO_PO) |= NONE; \
					  GPIOC_REG(GPIO_PO) &= NONE; }	// a,b,c,d,e,f

#define LED_1() 	{ GPIOB_REG(GPIO_PO) |= (SEGB|SEGC); \
					  GPIOB_REG(GPIO_PO) &= (SEGB|SEGC); \
					  GPIOC_REG(GPIO_PO) |= NONE; \
					  GPIOC_REG(GPIO_PO) &= NONE; }	// b,c

#define LED_2() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGB|SEGD|SEGE); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGB|SEGD|SEGE); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,b,d,e,g

#define LED_3() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGB|SEGC|SEGD); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGB|SEGC|SEGD); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,b,c,d,g

#define LED_4() 	{ GPIOB_REG(GPIO_PO) |= (SEGB|SEGC|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGB|SEGC|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// b,c,f,g

#define LED_5() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGC|SEGD|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGC|SEGD|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,c,d,f,g

#define LED_6() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGC|SEGD|SEGE|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGC|SEGD|SEGE|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,c,d,e,f,g

#define LED_7() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGB|SEGC); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGB|SEGC); \
					  GPIOC_REG(GPIO_PO) |= NONE; \
					  GPIOC_REG(GPIO_PO) &= NONE; }	// a,b,c

#define LED_8() 	{ GPIOB_REG(GPIO_PO) |= ALL_B; \
					  GPIOB_REG(GPIO_PO) &= ALL_B; \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,b,c,d,e,f,g

#define LED_9() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGB|SEGC|SEGD|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGB|SEGC|SEGD|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,b,c,d,f,g

#define LED_A() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGB|SEGC|SEGE|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGB|SEGC|SEGE|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,b,c,e,f,g

#define LED_B() 	{ GPIOB_REG(GPIO_PO) |= (SEGC|SEGD|SEGE|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGC|SEGD|SEGE|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// c,d,e,f,g

#define LED_C() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGD|SEGE|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGD|SEGE|SEGF); \
					  GPIOC_REG(GPIO_PO) |= NONE; \
					  GPIOC_REG(GPIO_PO) &= NONE; }	// a,d,e,f

#define LED_D() 	{ GPIOB_REG(GPIO_PO) |= (SEGB|SEGC|SEGD|SEGE); \
					  GPIOB_REG(GPIO_PO) &= (SEGB|SEGC|SEGD|SEGE); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// b,c,d,e,g

#define LED_E() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGD|SEGE|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGD|SEGE|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,d,e,f,g

#define LED_F() 	{ GPIOB_REG(GPIO_PO) |= (SEGA|SEGE|SEGF); \
					  GPIOB_REG(GPIO_PO) &= (SEGA|SEGE|SEGF); \
					  GPIOC_REG(GPIO_PO) |= SEGG; \
					  GPIOC_REG(GPIO_PO) &= SEGG; }	// a,e,f,g

// separate decimal point macros allow us to turn it on/off
// without disturbing any number that is being displayed
#define LED_DP_ON() 	(GPIOC_REG(GPIO_PO) |= 0x02) 
#define LED_DP_OFF() 	(GPIOC_REG(GPIO_PO) &= 0x02) 
#define LED_DP()		(GPIOC_REG(GPIO_PI) | 0x02) 

// define the bits used for the LED
#define LED_BITS_PORTB	0x3f
#define LED_BITS_PORTC	0x03

// macro for accessing the LAN91C113
#define LAN_REG_ADD				0xF00000E0
#define LAN_REG(_x_)  			*(vushort *)(LAN_REG_ADD | _x_)
#define LAN_STEP				1		// LAN91C11x is on 16-bit boundries
