// board specific defines for micro monitor
#define DEFAULT_BAUD_RATE   	38400
#define MON_CPU_CLOCK       	66666666
#define MEMCLK					66666666

#define LOOPS_PER_USEC			67

// These defines allow us to keep pci code endian neutral
#define PCI_ADD8  				3
#define PCI_ADD16 				2
#define BIG_ENDIAN				1	// big endian, when desired

// board specific defines needed by sed135x
#define SED_MEM_BASE 			0xf0600000
#define SED_REG_BASE			0xf0400000
#define SED_STEP				1	// 16-bit port on 16-bit boundry
#define SED_REG(_x_)  			*(vuchar *)(SED_REG_BASE + ((ulong)_x_ * SED_STEP))	// Control/Status Registers
#define SED_REG16(_x_) 			*(vushort *)(SED_REG_BASE + ((ulong)_x_ * SED_STEP))	// Control/Status Registers, 16-bit mode
#define RD_FB16(_reg_,_val_) 	((_val_) = *((vushort *)((SED_MEM_BASE + ((ulong)_reg_ * SED_STEP)))))
#define WR_FB16(_reg_,_val_) 	(*((vushort *)((SED_MEM_BASE + ((ulong)_reg_ * SED_STEP)))) = (_val_))
#define H2SED(_x_)				(((((ushort)_x_) & 0xff00) >> 8) | ((((ushort)_x_) & 0x00ff) << 8))
//#define H2SED(_x_)				(_x_)

#define SED_DISP_MODE_CRT		1
#define SED_DISP_MODE_LCD		0


// board specific defines needed by ps2
#define PS2_BASE				0xf0800000
#define PS2_STEP				1	// 8-bit port on 8-bit boundry
#define PS2_REG(_x_)  			*(vuchar *)(PS2_BASE + (_x_ * PS2_STEP))	// 8-Bit port on 32-bit boundry      
//#define PS2_DEBUG
#define PS2_TIMEOUT				100000

//-----------------------------------------------------------------------------
// 405GP DUART - use the register defines in 16550.h
#define UART1_BASE				0xef600300
#define UART2_BASE				0xef600400
#define SIO_STEP				1	// internal 405GP UART is on 8-bit boundry
#define UARTA(_x_)  			*(vuchar *)(UART1_BASE + _x_)
#define UARTB(_x_)  			*(vuchar *)(UART2_BASE + _x_)

#define GPIO0_OR				0xEF600700	/* GPIO output */
#define GPIO0_TCR				0xEF600704	/* GPIO 3-state ctrl */
#define GPIO0_ODR				0xEF600718	/* GPIO open drain */
#define GPIO0_IR				0xEF60071c	/* GPIO input */

/* GPIO-specific bits in CCR0: */
#define TRE		0x08000000
#define G10E	0x04000000
#define G11E	0x02000000
#define G12E	0x01000000
#define G13E	0x00800000
#define G14E	0x00400000
#define G15E	0x00200000
#define G16E	0x00100000
#define G17E	0x00080000
#define G18E	0x00040000
#define G19E	0x00020000
#define G20E	0x00010000
#define G21E	0x00008000
#define G22E	0x00004000
#define G23E	0x00002000

/* PIO-bit positions */
#define PIO1	0x40000000
#define PIO2	0x20000000
#define PIO3	0x10000000
#define PIO4	0x08000000
#define PIO5	0x04000000
#define PIO6	0x02000000
#define PIO7	0x01000000
#define PIO8	0x00800000
#define PIO9	0x00400000
#define PIO10	0x00200000
#define PIO11	0x00100000
#define PIO12	0x00080000
#define PIO13	0x00040000
#define PIO14	0x00020000
#define PIO15	0x00010000
#define PIO16	0x00008000
#define PIO17	0x00004000
#define PIO18	0x00002000
#define PIO19	0x00001000
#define PIO20	0x00000800
#define PIO21	0x00000400
#define PIO22	0x00000200
#define PIO23	0x00000100

extern void uSleep(int);
