	.file "reset1.s"

/*	The SH2 is similar to the 68K.  The reset vector point is assumed to
 *	contain the resetPC (coldstart) followed by a stack pointer (MonStackEnd).
 *	This reset1.o object is needed ONLY for the image that is in control
 *	of the actual reset.  This may be the boot-block code or a stand-alone
 *	monitor that does not use the boot-block safety.
 *	The reason for this breakup of reset1.s and reset2.s is because of the
 *	fact that the SH2 reset vector is a pointer, not an instruction.  Because
 *	of this, the first byte of binary in the normal image of the monitor can
 *	not be jumped to.  When the monitor image is built to execute as a result
 *	of the boot-block CRC failure, then the first instruction in the image
 *	must be instruction; hence, in that case, this reset1.s is omitted from
 *	the build.
 *
 *	General notice:
 *	This code is part of a boot-monitor package developed as a generic base
 *	platform for embedded system designs.  As such, it is likely to be
 *	distributed to various projects beyond the control of the original
 *	author.  Please notify the author of any enhancements made or bugs found
 *	so that all may benefit from the changes.  In addition, notification back
 *	to the author will allow the new user to pick up changes that may have
 *	been made by other users after this version of the code was distributed.
 *
 *	Author:	Ed Sutter
 *  email:   esutter@lucent.com
 *  phone:   908-582-2351
 *
 */

#include "config.h"

	.extern _coldstart
	.extern _MonStackEnd
	.globl _reset1

	.text

_reset1:
	.long _coldstart		/* 0: Power-on reset PC */
	.long _MonStackEnd		/* 1: Power-on reset SP */
	.long _coldstart		/* 2: Manual reset PC   */
	.long _MonStackEnd		/* 3: Manual reset SP   */
